org.apache.ignite.internal.processors.security.sandbox

## Interface IgniteSandbox

All Known Implementing Classes:
  AccessControllerSandbox, NoOpSandbox

    public interface IgniteSandbox

IgniteSandbox executes a user-defined code with restrictions.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `enabled()`
`<T> T` `execute(Callable<T> call)` Executes `callable` with constraints defined by current `SecuritySubject`.

### Method Detail

#### execute

    <T> T execute(Callable<T> call)
           throws IgniteException

Executes `callable` with constraints defined by current `SecuritySubject`.

Parameters:
  `call` - Callable to execute.
Returns:
  Result of `callable`.
Throws:
  `IgniteException`
See Also:
  `IgniteSecurity.withContext(UUID)`, `IgniteSecurity.withContext(SecurityContext)`, `SecuritySubject.sandboxPermissions()`

#### enabled

    boolean enabled()

Returns:
  True if the sandbox is enabled.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020